print "Advanced Melee AI 2.50"
print "Created by AiAndy \"Zalamander\" Strategy Master\n"
print "Powered by Grimoire 1.1b 2/8/2007"
print "Written by Bryan \"PipeDream\" Steinbach\n"
key = "Software\\Blizzard Entertainment\\Warcraft III"
val = "InstallPath"
path = getregpair(key,val)
if path == 0 then
	val = "InstallPathX"
	path = getregpair(key,val)
end
if path == 0 then
	print "\nCould not locate installed warcraft path in registry"
	print "Add InstallPath or InstallPathX key to your registry, or set the path to warcraft manually in war3.lua"
	print "e.g. path = \"C:\\\\Warcraft III\""
	return 0
end


proc = startexe(path.."\\war3.exe","war3.exe "..getargs())

-- Enable list file stalking
-- injectdll(proc,"bin\\listfile.dll")

-- Enable error detector
-- injectdll(proc,"bin\\war3err.dll")

-- Enable hard drive load/save
-- injectdll(proc,"bin\\nreplace.dll")

-- Enable jAPI
-- injectdll(proc,"bin\\jAPI.dll");

-- Enable mpq loading
injectdll(proc,"bin\\loadmpq.dll");

